@use '../../../global/styles/shadow';
@use '../../../global/styles/typography';
@use '../../../global/styles/breakpoint';
@use '../../../global/styles/link';
@use '../../../global/styles/border';

:host {
	::slotted([slot^='heading']) {
		@include typography.heading-4;
	}
}

.digi-dialog {
	border: none;
	padding: 0;
	border-radius: var(--digi--border-radius--primary);
	box-shadow: shadow.$box;
	max-width: calc(100vw - var(--digi--container-gutter--medium) * 2);
	max-height: calc(100vh - var(--digi--container-gutter--medium) * 2);
	overflow: hidden;

	&::backdrop {
		background: rgba(0, 0, 0, 0.4);
	}

	@include breakpoint.below-medium {
		width: 100vw;
		height: calc(100vh - var(--digi--container-gutter--medium));
		margin: 0;
		top: var(--digi--container-gutter--medium);
		max-width: none;
		max-height: none;
	}
}

.digi-dialog__inner {
	display: grid;
	grid-template-rows: min-content 1fr min-content;
	grid-template-areas: 'header close' 'content content' 'actions actions';
	gap: var(--digi--responsive-grid-gutter);
	max-height: calc(100vh - var(--digi--container-gutter--medium) * 2);

	@include breakpoint.below-medium {
		height: calc(100vh - var(--digi--container-gutter--medium));
		max-height: none;
	}
}

.digi-dialog__header {
	grid-area: header;

	padding: var(--digi--padding--largest) 0 0 var(--digi--padding--largest);

	@include breakpoint.medium {
		padding: var(--digi--padding--largest-3) 0 0 var(--digi--padding--largest-3);
	}
}

.digi-dialog__close-button-wrapper {
	grid-area: close;
	justify-self: end;
	padding: var(--digi--padding--largest) var(--digi--padding--largest) 0 0;

	@include breakpoint.medium {
		padding: var(--digi--padding--largest-3) var(--digi--padding--largest-3) 0 0;
	}
}

.digi-dialog__close-button {
	@include link.base;

	display: flex;
	flex-direction: row;
	font-weight: var(--digi--global--typography--font-weight--semibold);
	font-size: var(--digi--typography--button--font-size--desktop);
	gap: var(--digi--gutter--icon);
	align-items: flex-start;
}

.digi-dialog__content {
	grid-area: content;
	padding-inline: var(--digi--padding--largest);
	overflow: auto;

	@include breakpoint.medium {
		padding-inline: var(--digi--padding--largest-3);
	}
}

.digi-dialog__actions {
	grid-area: actions;
	padding: var(--digi--padding--largest);
	background: var(--digi--color--background--tertiary);
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
	gap: var(--digi--gutter--small);

	@include breakpoint.medium {
		padding-inline: var(--digi--padding--largest-3);
	}

	&:empty {
		display: none;
	}
}
